SoSFVec3f(3)

NAME
SoSFVec3f - The SoSFVec3f class is a container for an SbVec3f vector.

SYNOPSIS

#include <Inventor/fields/SoSFVec3f.h>

Inherits SoSField.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void copyFrom (const SoField &field)
const SoSFVec3f & operator= (const SoSFVec3f &field)
virtual SbBool isSame (const SoField &field) const
const SbVec3f & getValue (void) const
void setValue (const SbVec3f &newvalue)
const SbVec3f & operator= (const SbVec3f &newvalue)
int operator== (const SoSFVec3f &field) const
int operator!= (const SoSFVec3f &field) const
void setValue (float x, float y, float z)
void setValue (const float xyz[3])

  Static Public Member Functions
static void * createInstance (void)
static SoType getClassTypeId (void)
static void initClass (void)

  Protected Attributes
SbVec3f value

  Additional Inherited Members

Detailed Description

The SoSFVec3f class is a container for an SbVec3f vector. This field is used where nodes, engines or other field containers need to store a single vector with three elements.

See also
    SbVec3f, SoMFVec3f

Member Function Documentation

  void * SoSFVec3f::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  SoType SoSFVec3f::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoSFVec3f::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoField. This is used for runtime type checking and 'downward' casting.

Implements SoField.

  void SoSFVec3f::copyFrom (const SoField & f) [virtual]
Copy value(s) from f into this field. f must be of the same type as this field.

Implements SoField.

  SbBool SoSFVec3f::isSame (const SoField & f) const [virtual]
Check for equal type and value(s).

Implements SoField.

  void SoSFVec3f::initClass (void) [static]
Internal method called upon initialization of the library (from SoDB::init()) to set up the type system.

  void SoSFVec3f::setValue (float x, float y, float z)
Set value of vector.

  void SoSFVec3f::setValue (const float xyz[3])
Set value of vector.

Author

Generated automatically by Doxygen for Coin from the source code.